org.apache.activemq.artemis.jms.server

## Interface JMSServerConfigParser

-     public interface JMSServerConfigParser

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JMSConfiguration` | `parseConfiguration(InputStream stream)` Parse the JMS Configuration XML as a JMSConfiguration object
    `JMSConfiguration` | `parseConfiguration(Node rootnode)` Parse the JMS Configuration XML as a JMSConfiguration object
    `JMSQueueConfiguration` | `parseQueueConfiguration(Node node)` Parse the Queue Configuration node as a QueueConfiguration object
    `TopicConfiguration` | `parseTopicConfiguration(Node node)` Parse the topic node as a TopicConfiguration object

- - ### Method Detail

    - #### parseConfiguration

          JMSConfiguration parseConfiguration(InputStream stream)
                                       throws Exception

      Parse the JMS Configuration XML as a JMSConfiguration object
      Throws:
        `Exception`

    - #### parseConfiguration

          JMSConfiguration parseConfiguration(Node rootnode)
                                       throws Exception

      Parse the JMS Configuration XML as a JMSConfiguration object
      Throws:
        `Exception`

    - #### parseTopicConfiguration

          TopicConfiguration parseTopicConfiguration(Node node)
                                              throws Exception

      Parse the topic node as a TopicConfiguration object
      Parameters:
        `node` -
      Returns:
        `TopicConfiguration` parsed from the node
      Throws:
        `Exception`

    - #### parseQueueConfiguration

          JMSQueueConfiguration parseQueueConfiguration(Node node)
                                                 throws Exception

      Parse the Queue Configuration node as a QueueConfiguration object
      Parameters:
        `node` -
      Returns:
        `JMSQueueConfiguration` parsed from the node
      Throws:
        `Exception`

Copyright © 2020 The Apache Software Foundation. All rights reserved.